Bug 1020973 - upower statuses often incorrect
upower statuses often incorrect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
20
All All
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F20BetaFreezeException
  Show dependency treegraph
 
Reported: 2013-10-18 11:58 EDT by Adam Williamson
Modified: 2013-11-24 16:11 EST (History)
4 users (show)

See Also:
Fixed In Version: upower-0.9.23-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 21:42:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-10-18 11:58:28 EDT
As reported by hadess in IRC:

<hadess> adamw, the values for "on battery" and "on ac" are nearly random
<hadess> adamw, "lid-is-closed" was always true, so was on-battery, on-low-battery, is-docked, and lid-force-sleep
<hadess> adamw, what this means is different on each desktop, but it's pretty bad

This could cause all kinds of issues - incorrect power management, closing the lid of a laptop not causing suspend (and so cooking the laptop), odd external display behaviour and various others. We really ought to fix it for Beta. https://admin.fedoraproject.org/updates/upower-0.9.23-1.fc20 should fix the problem. Proposing as a freeze exception issue.
Comment 1 Fedora Update System 2013-10-18 12:00:28 EDT
upower-0.9.23-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/upower-0.9.23-1.fc20
Comment 2 Tomasz Torcz 2013-10-18 12:20:06 EDT
I wonder if this is related to #703791 , which I lost interest in analysing further.
Comment 3 Fedora Update System 2013-10-18 20:14:23 EDT
Package upower-0.9.23-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing upower-0.9.23-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19428/upower-0.9.23-1.fc20
then log in and leave karma (feedback).
Comment 4 Mike Ruckman 2013-10-21 12:59:20 EDT
Discussed this in 2013-10-21 Blocker Review Meeting [1]. Accepted as a freeze exception issue as it can cause confusing and potentially problematic behaviour with power management.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-21/
Comment 5 Fedora Update System 2013-10-23 21:42:40 EDT
upower-0.9.23-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 jan p. springer 2013-11-03 14:33:55 EST
(In reply to Fedora Update System from comment #3)
> Package upower-0.9.23-1.fc20:
> * should fix your issue,
> * was pushed to the Fedora 20 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing upower-0.9.23-1.fc20'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2013-19428/upower-0.9.23-1.
> fc20
> then log in and leave karma (feedback).

any chance to get this for f19 too?
Comment 7 jan p. springer 2013-11-24 11:37:36 EST
hi,

is there any chance to get upower-0.9.23-1.fc19? i'm willing to test and leave double karma if necessary.

out of sheer desperation i just downloaded and installed upower-0.9.23-1.fc20 (well yum just let me do it), but it doesn't work (executing upower just does not return anything). i'm stuck with f19 for some time (at least until march) and would really appreciate a fix for hibernating usually at the most inconvenient of times.
Comment 8 Adam Williamson 2013-11-24 11:45:12 EST
I don't believe this bug is thought to affect f19. You're probably hitting something else.
Comment 9 jan p. springer 2013-11-24 16:11:26 EST
maybe, maybe not. it would still though if upower-0.9.23 was available for f19 to find out.

Note You need to log in before you can comment on or make changes to this bug.